Name:          jace
Version:       1.1.1
Release:       %mkrel 2
Summary:       Easily write C++ code that integrates with the Java Virtual Machine
Group:         Development/Java
License:       BSD
Url:           http://sourceforge.net/projects/jace/
Source0:       http://downloads.sourceforge.net/project/jace/Jace%201.1.1/Jace%201.1.1/jace1.1.1.jar
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: objectweb-asm
#BuildRequires: retroweaver
Requires:      java
Requires:      jpackage-utils
Requires:      objectweb-asm
BuildArch:     noarch

%description
Jace is a set of C++ and Java libraries and programs based on JNI that
make it incredibly easy to write C++ code that integrates with the
Java Virtual Machine (JVM). Jace is like Alphawork's easyJNI, but
easier to use, with more features, and more power

%prep
%setup -q -c jace-%{version}
cd jace%{version}

for j in $(find . -name "*.jar"); do
     mv $j $j.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

for e in $(find . -name "*.cmd"); do
  rm -rf $e
done

%build

cd jace%{version}

pushd source/java
  pushd lib
    ln -sf $(build-classpath objectweb-asm/asm) asm-3.1.jar
    ln -sf $(build-classpath objectweb-asm/asm-commons) asm-commons-3.1.jar
    ln -sf $(build-classpath objectweb-asm/asm-util) asm-util-3.1.jar
#    ln -sf $(build-classpath retroweaver) retroweaver-2.0.6.jar
    mv retroweaver-2.0.6.jar.no retroweaver-2.0.6.jar
#    ln -sf $(build-classpath retroweaver-rt) retroweaver-rt-2.0.6.jar
    mv retroweaver-rt-2.0.6.jar.no retroweaver-rt-2.0.6.jar
  popd
  ant
popd

ant

%install
cd jace%{version}
mkdir -p %{buildroot}%{_javadir}/
install -pm 644 release/lib/jace.jar \
  %{buildroot}%{_javadir}/jace-%{version}.jar
install -pm 644 release/lib/jace-runtime.jar \
  %{buildroot}%{_javadir}/jace-runtime-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

%files
%{_javadir}/jace-%{version}.jar
%{_javadir}/jace.jar
%{_javadir}/jace-runtime-%{version}.jar
%{_javadir}/jace-runtime.jar
%doc jace%{version}/release/docs/*



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 354637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 gil <gil> 1.1.1-1.mga2
+ Revision: 163913
- imported package jace

